import {StyleSheet, Dimensions, Platform} from 'react-native';
const windowWidth = Dimensions.get('window').width;
const windowHeight = Dimensions.get('window').height;
const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: 'white',
    marginTop:Platform.OS =='android' ? -30 :20
  },
  containerHeader: {
    height: windowHeight * 0.1,
    width: windowWidth * 1,
    // justifyContent: 'space-between',
    justifyContent: 'flex-end',
    alignItems: 'center',
    flexDirection: 'row',
    paddingHorizontal: 20,
    marginTop: 20,
  },
  containerEn: {
    height: windowHeight * 0.04,
    width: windowHeight * 0.04,
    backgroundColor: '#1571dd',
    borderRadius: 100,
    justifyContent: 'center',
    alignItems: 'center',
  },
  textEN: {
    color: 'white',
    fontSize: 12,
  },
  containerTitle: {
    height: windowHeight * 0.1,
    width: windowWidth * 1,
    // alignItems:'center',
    justifyContent: 'center',
    paddingHorizontal: 20,
  },
  textSub1: {
    fontSize: 24,
    color: 'black',
    fontWeight: 'bold',
  },
  textSub2: {
    marginTop: 5,
    fontSize: 12,
    color: 'black',
    fontWeight: 'normal',
  },
  containerTextinput: {
    height: windowHeight * 0.3,
    width: windowWidth * 1,
    justifyContent: 'space-between',
    paddingHorizontal: 20,
    // alignItems:'center'
  },
  containerTextinput1: {
    height: windowHeight * 0.1,
    width: windowWidth * 1,
    justifyContent: 'space-between',
    paddingHorizontal: 20,
    // alignItems:'center'
  },

  containerTextinput1: {
    height: windowHeight * 0.07,
    width: windowWidth * 1,
    justifyContent: 'space-between',
    paddingHorizontal: 20,
    // alignItems:'center'
  },
  textInput: {
    height: windowHeight * 0.05,
    width: windowWidth * 0.9,
    backgroundColor: '#f6f6f6',
    borderRadius: 20,
    paddingHorizontal: 20,
    paddingLeft: 50,
    borderWidth: 1,
    borderColor: '#1571dd',
  },
  containerTextIn: {
    flex: 0.5,
    justifyContent: 'center',
  },
  textUsername: {
    marginVertical: 10,
    fontSize: 14,
    color: 'black',
  },
  containerButton: {
    paddingVertical: 15,
    backgroundColor: '#1571dd',
    borderRadius: 10,
    justifyContent: 'center',
    alignItems: 'center',
    marginHorizontal: 20,
  },
  rowSvg: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    borderRadius: 40,
    backgroundColor: '#f3f4f7',
    paddingVertical: 20,
    paddingHorizontal: 20,
    justifyContent: 'space-between',
    alignItems: 'center',
  },
  containerFooter: {
    height: windowHeight * 0.4,
    width: windowWidth * 1,
    // justifyContent:'space-between',
    alignItems: 'center',
  },
  containerIcon: {
    // backgroundColor:'grey',
    borderWidth: 0.5,
    borderColor: '#e5e6e5',
    borderRadius: 8,
    height: windowHeight * 0.06,
    width: windowHeight * 0.07,
    justifyContent: 'center',
    alignItems: 'center',
    marginHorizontal: 15,
  },
  containerHide: {
    position: 'absolute',
    top: 10,
    left: 20,
  },
  textNot: {
    fontSize: 12,
    marginVertical: 20,
    fontWeight: 'normal',
    color: 'black',
  },
  textRegister: {
    fontSize: 12,
    marginVertical: 20,
    fontWeight: 'normal',
    color: 'blue',
  },
  containerMenu: {
    height: windowHeight * 0.2,
    width: windowWidth * 0.9,
    // backgroundColor: 'white',
    justifyContent: 'space-between',
    alignItems: 'center',
    borderRadius: 10,
    borderWidth: 1,
    alignSelf: 'center',
    borderColor: '#e6e6e6',
    paddingVertical: 5,
  },
  flatlist: {
    borderRadius: 10,
    borderColor: 'white',
    borderWidth: 0.5,
    // justifyContent:'center',
    // alignItems:'center'
  },
  image: {
    height: windowHeight * 0.04,
    width: windowWidth * 0.05,
    resizeMode: 'contain',
  },
  containerInF: {
    marginVertical: 5,
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    width: windowWidth * 0.4,
    height: windowHeight * 0.08,
    // flex:1,
    // paddingHorizontal:20,
    backgroundColor: '#f3f4f7',
    borderRadius: 10,
    marginHorizontal: 5,
  },
  roundImage: {
    width: windowHeight * 0.05,
    height: windowHeight * 0.05,
    borderRadius: 100,
    backgroundColor: '#1671dd',
    justifyContent: 'center',
    alignItems: 'center',
    marginRight: 10,
  },
  containerIconMerge: {
    flex: 0.2,
    flexDirection: 'row',
    // backgroundColor: 'red',
    justifyContent: 'space-between',
    alignItems: 'center',
  },
  textInIcon: {
    marginLeft: 5,
    color: 'grey',
    fontSize: 12,
    fontWeight: 'bold',
  },
  absolute: {
    position: 'absolute',
    top: Platform.OS == 'android' ? 48 :50,
    zIndex: 1000,
    right: 70,
    backgroundColor: '#b4b47c',
    height: windowHeight * 0.015,
    width: windowHeight * 0.015,
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius:100
  },
  textabsolute: {
    fontSize: 10,
    color: 'black',
  },
});

export default styles;
